Skip to main content

suix_getAllBalances

POST

Return the total coin balance for all coin type, owned by the address owner. test
param[0]
ownerstringrequired
The owner's Sui address
Responses
idinteger
jsonrpcstring
coinObjectCountintegerrequired
coinTypestringrequired
lockedBalanceobjectrequired
totalBalancestringrequired
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Bad Request"
}
cURL
curl -X POST 'https://sui-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "suix_getAllBalances",
"params": [
"0x94f1a597b4e8f709a396f7f6b1482bdcd65a673d111e49286c527fab7c2d0961"
]
}'